#
# spec file for package dlgedit (Version 1.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp qtlib qtdevel

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         dlgedit
Release:      17
Copyright:    1997, Jeff Harris, Klaus Ebner
Group: 
Provides:     dlgedit 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.2
Summary:      QT Dialog Editor
Source: dlgedit-1.2.tar.gz
Patch: dlgedit-1.2.dif
%description
A nice small tool to design interactively input dialogs for
the QT Toolkit.
Documentation: 
/usr/doc/packages/dlgedit 

Authors:
--------
    Jeff Harris <jharris@cis.ohio-state.edu>
    Klaus Ebner <klaus@gaspode.ndh.com>

%prep
%setup
%patch
%build
export QTDIR=/usr/X11R6/lib/qt
export PATH=${PATH}:.
make depend
make
%install
export QTDIR=/usr/X11R6/lib/qt
export PATH=${PATH}:.
export DOC="COPYING README TODO"
make install
install -d -m 755 /usr/doc/packages/dlgedit
install -m 644 ${DOC} /usr/doc/packages/dlgedit
( cd /usr/X11R6/lib/dlgedit && \
	rm -f doc && \
	ln -sf ../../../../usr/doc/packages/dlgedit doc )
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/dlgedit
%docdir /usr/doc/packages/dlgedit
/usr/X11R6/bin/dlgedit
/usr/X11R6/lib/dlgedit/DlgEdit.Template.Makefile
/usr/X11R6/lib/dlgedit/dlgUpdate.pl
%doc /usr/X11R6/lib/dlgedit/doc
%doc /usr/doc/packages/dlgedit/COPYING
%doc /usr/doc/packages/dlgedit/README
%doc /usr/doc/packages/dlgedit/TODO

